Summary: GNU gzip file compression
Name: gzip
Version: 1.2.4a
Release: 1
Group: Utilities/Archiving
Copyright: GPL
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Patch0: gzip-1.2.4-basename.patch
Patch1: gzip-1.2.4-gzexe.patch
Patch2: gzip-1.2.4-mktemp.patch
Requires: mktemp
Buildroot: /var/tmp/%{name}-root

%description
This is the popular GNU file compression and decompression
program, gzip.  


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1


%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s MAKEINFO="makeinfo --no-split" \
	./configure --prefix=/usr --exec-prefix=/
make


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
make prefix="$RPM_BUILD_ROOT/usr" exec_prefix="$RPM_BUILD_ROOT" install
gzip -9f $RPM_BUILD_ROOT/usr/info/*.info*

# /bin/{gzip,gunzip,zcat} are identical, so leaving /bin/gzip is enough
strip $RPM_BUILD_ROOT/bin/gzip
for i in gunzip zcat; do
	ln -sf gzip   $RPM_BUILD_ROOT/bin/$i
	ln -sf gzip.1 $RPM_BUILD_ROOT/usr/man/man1/"$i".1
done

# These wrapper scripts can goto /usr/bin
for i in gzexe zcmp zdiff zforce zgrep zmore znew; do
	perl -pi -e "s|$RPM_BUILD_ROOT||" $RPM_BUILD_ROOT/bin/$i
	mv $RPM_BUILD_ROOT/bin/$i $RPM_BUILD_ROOT/usr/bin
done

# zcmp and zdiff are identical
ln -sf zdiff   $RPM_BUILD_ROOT/usr/bin/zcmp
ln -sf zdiff.1 $RPM_BUILD_ROOT/usr/man/man1/zcmp.1


%post
/sbin/install-info /usr/info/gzip.info.gz /usr/info/dir \
	--entry="* gzip: (gzip).                 The GNU compression utility."

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/gzip.info.gz /usr/info/dir
fi


%files
%defattr(-,root,root)
%doc COPYING ChangeLog INSTALL NEWS README THANKS TODO
/bin/*
/usr/bin/*
/usr/info/*.info.gz
/usr/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT
